Package org.bukkit.advancement

# Interface AdvancementDisplay

@Deprecated(forRemoval=true) public interface AdvancementDisplay
Deprecated, for removal: This API element is subject to removal in a future version.
use `AdvancementDisplay`
Holds information about how the advancement is displayed by the game.

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getDescription()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the visible description of the advancement.
`@NotNull ItemStack`
`getIcon()`
Deprecated, for removal: This API element is subject to removal in a future version.
The icon that is used for this advancement.
`@NotNull String`
`getTitle()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the title of the advancement.
`@NotNull AdvancementDisplayType`
`getType()`
Deprecated, for removal: This API element is subject to removal in a future version.
The display type of this advancement.
`float`
`getX()`
Deprecated, for removal: This API element is subject to removal in a future version.
The X position of the advancement in the advancement screen.
`float`
`getY()`
Deprecated, for removal: This API element is subject to removal in a future version.
The Y position of the advancement in the advancement screen.
`boolean`
`isHidden()`
Deprecated, for removal: This API element is subject to removal in a future version.
Whether to hide this advancement and all its children from the advancement screen until this advancement have been completed.
`boolean`
`shouldAnnounceChat()`
Deprecated, for removal: This API element is subject to removal in a future version.
Whether to announce in the chat when this advancement has been completed.
`boolean`
`shouldShowToast()`
Deprecated, for removal: This API element is subject to removal in a future version.
Whether to show a toast to the player when this advancement has been completed.

## Method Details

### getTitle

@NotNull @NotNull String getTitle()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the title of the advancement.

Returns:
  The advancement title without colour codes.

### getDescription

@NotNull @NotNull String getDescription()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the visible description of the advancement.

Returns:
  The advancement description without colour codes.

### getIcon

@NotNull @NotNull ItemStack getIcon()
Deprecated, for removal: This API element is subject to removal in a future version.
The icon that is used for this advancement.

Returns:
  an ItemStack that represents the advancement.

### shouldShowToast

boolean shouldShowToast()
Deprecated, for removal: This API element is subject to removal in a future version.
Whether to show a toast to the player when this advancement has been completed.

Returns:
  true if a toast is shown.

### shouldAnnounceChat

boolean shouldAnnounceChat()
Deprecated, for removal: This API element is subject to removal in a future version.
Whether to announce in the chat when this advancement has been completed.

Returns:
  true if announced in chat.

### isHidden

boolean isHidden()
Deprecated, for removal: This API element is subject to removal in a future version.
Whether to hide this advancement and all its children from the advancement screen until this advancement have been completed. Has no effect on root advancements themselves, but still affects all their children.

Returns:
  true if hidden.

### getX

float getX()
Deprecated, for removal: This API element is subject to removal in a future version.
The X position of the advancement in the advancement screen.

Returns:
  the X coordinate as float

### getY

float getY()
Deprecated, for removal: This API element is subject to removal in a future version.
The Y position of the advancement in the advancement screen.

Returns:
  the Y coordinate as float

### getType

@NotNull @NotNull AdvancementDisplayType getType()
Deprecated, for removal: This API element is subject to removal in a future version.
The display type of this advancement.

Returns:
  an enum representing the type.